Name:		powdertoy
Version:	50.6
Release:	alt1
Summary:	Classic 'falling sand' physics sandbox game
Group:		Games/Educational
License:	GPL
URL:		http://powdertoy.co.uk/
# GitHub https://github.com/FacialTurd/The-Powder-Toy/downloads
Source:		%name-%version.tar.gz

# Automatically added by buildreq on Sun Jul 03 2011
BuildRequires: bzlib-devel libSDL-devel liblua5-devel

%description
The Powder Toy is a desktop version of the classic 'falling sand'
physics sandbox game, it simulates air pressure and velocity as well as
heat!

%prep
%setup
# lua5.1 -> lua
ln -s /usr/include includes/lua5.1

mv Makefile Makefile.upstream

sed -i 's/lua5.1/lua/g' Makefile.upstream
cat > Makefile <<@@@
include Makefile.upstream
SRCS := \$(wildcard \$(SOURCES))
OBJS := \$(SRCS:.c=.o)
BUS=32
CFLAGS+=\$(OFLAGS) -DINTERNAL -DLIN\$(BUS)

%name:	\$(OBJS)
	\$(CC) \$(OBJS) \$(LFLAGS) -o\$@
@@@

cat > %name.desktop <<@@@
[Desktop Entry]
Name=The Powder Toy
Type=Application
Exec=%name
Icon=%name
Terminal=false
GenericName=Sandbox game
Categories=Game;Simulation;
Comment=%summary
@@@

%build
%ifarch x86_64
%make_build BUS=64 %name
%else
%make_build %name
%endif

%install
# TODO MIME
install -Ds %name %buildroot%_gamesbindir/%name
install -D %name.desktop %buildroot%_desktopdir/%name.desktop
install -D src/Resources/Icon-16.png %buildroot%_miconsdir/%name.png
install -D src/Resources/Icon-32.png %buildroot%_niconsdir/%name.png

%files
%doc README* roadmap
%_gamesbindir/*
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/*

%changelog
* Mon Jul 04 2011 Fr. Br. George <george@altlinux.ru> 50.6-alt1
- Initial build from scratch

